Package wx :: Package lib :: Package masked :: Module timectrl :: Class TimeCtrlAccessorsMixin

[frames | no frames]

## Class TimeCtrlAccessorsMixin

Defines TimeCtrl's list of attributes having their own Get/Set functions, ignoring those in the base class that make no sense for a time control.

Method Summary
| `GetDefaultValue(self)`
| `GetDescription(self)`
| `GetEmptyBackgroundColour(self)`
| `GetInvalidBackgroundColour(self)`
| `GetUseFixedWidthFont(self)`
| `GetValidBackgroundColour(self)`
| `GetValidFunc(self)`
| `GetValidRequired(self)`
| `SetDefaultValue(self, value)`
| `SetDescription(self, value)`
| `SetEmptyBackgroundColour(self, value)`
| `SetInvalidBackgroundColour(self, value)`
| `SetUseFixedWidthFont(self, value)`
| `SetValidBackgroundColour(self, value)`
| `SetValidFunc(self, value)`
| `SetValidRequired(self, value)`

Class Variable Summary
`tuple` | `exposed_basectrl_params` = `('defaultValue', 'description'...`
`str` | `param` = `'validRequired'`
`str` | `propname` = `'ValidRequired'`

Class Variable Details

### exposed_basectrl_params

  Type:
    `tuple`
  Value:

        ('defaultValue',
         'description',
         'useFixedWidthFont',
         'emptyBackgroundColour',
         'validBackgroundColour',
         'invalidBackgroundColour',
         'validFunc',
         'validRequired')

### param

  Type:
    `str`
  Value:

        'validRequired'

### propname

  Type:
    `str`
  Value:

        'ValidRequired'

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:10:32 2007 | http://epydoc.sf.net